#!/usr/bin/python
# -*- coding: utf-8 -*-
# Copyright (C) 2014 Canonical
#
# Authors:
#  Didier Roche
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; version 3.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

"""Mark a silo as built-checked.

Environment variables:

SILONAME
    Determines which silo to mark as built-checked.
"""

import sys
import os

sys.path.append(os.path.dirname(os.path.dirname(__file__)))

from cupstream2distro.silomanager import SiloState
from cupstream2distro.utils import env, run_script


def main():
    silo_state = SiloState(env.SILONAME)
    silo_state.set_built_checked()
    silo_state.set_build_successful()
    silo_state.save_config()
    return 0


run_script(__name__, __doc__, main)
