"""Stock Strings Used by Unit Tests.

The strings in this file are imported by various tests for testing various
file-manipulation features of CI Train.
"""

BASE_CHANGELOG = """\
foo (42.0daily83.09.13-0ubuntu1) raring; urgency=low

  * We snapshotted it for please
  * Automatic snapshot from revision 1

 -- Automatic Didrocks uploader <did@machine.fr>  \
Fri, 13 Sep 1983 04:02:00 +0000
"""

BASIC_CHANGELOG = """\
foo (42.0daily83.09.13-0ubuntu2) UNRELEASED; urgency=low

  * Add a foo message

 -- Didier Roche <did@rocks.frm>  Sun, 17 Feb 2013 17:23:34 +0100
""" + BASE_CHANGELOG

BASIC_SYMBOLS_WITH_CHANGELOG = """\
foo (42.0daily83.09.13-0ubuntu2) UNRELEASED; urgency=low

  * Basic content already there

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 08 Mar 2013 16:30:07 +0100
""" + BASE_CHANGELOG

BASIC_MULTIPLE_CONTENTS = """\
foo (42.0daily83.09.13-0ubuntu3) UNRELEASED; urgency=low

  [ Didier Roche ]
  * Add a foo message

  [ Bar ]
  * Add a bar message

 -- Bar <didrocks@ubuntu.com>  Fri, 08 Mar 2013 13:42:50 +0100
""" + BASE_CHANGELOG

NESTED_CHANGELOG = """\
foo (42.0daily83.09.13-0ubuntu2) UNRELEASED; urgency=low

  [ Didier Roche ]
  * Add a foo message
  * Fixed some bug LP: #12345
  * Some other bug LP: 23456
  * But don't count bug #98765 nor LP #87654
  * Finally, you should get those two: (LP: #56789, #67890)

  [ Rocks Did ]
  * Another bug from another contestant: LP: #34567890

 -- Rocks Did <didrocks@ubuntu.com>  Sun, 17 Feb 2013 19:06:09 +0000
""" + BASE_CHANGELOG

RELEASED_CHANGELOG = """\
foo (42.0daily83.09.13.2-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 10

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 25 Feb 2013 10:33:30 +0100
""" + NESTED_CHANGELOG

TWO_MARKERS_CHANGELOG = """\
foo (42.0daily83.09.13.2-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 10
  * Automatic snapshot from revision 42

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 25 Feb 2013 10:33:30 +0100
""" + NESTED_CHANGELOG

DUMMY_CHANGELOG = """\
foo (1.2-0ubuntu1) raring; urgency=low

  * 1.2 release

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 27 Feb 2013 17:52:12 +0100

foo (1.1-0ubuntu1) raring; urgency=low

  * 1.1 release

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 27 Feb 2013 17:51:53 +0100

foo (1.0-0ubuntu1) raring; urgency=low

  * Initial release

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 27 Feb 2013 17:47:52 +0100
"""

CHANGEBETWEEN_CHANGELOG = """\
foo (42.0daily83.09.13-0ubuntu3) raring; urgency=low

  * Other change from a manual upload

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 20 Feb 2013 16:27:44 +0000

foo (42.0daily83.09.13-0ubuntu2) raring; urgency=low

  * New great manual upload!

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 20 Feb 2013 15:53:52 +0000

foo (42.0daily83.09.13-0ubuntu1) raring; urgency=low

  * New awesome app
  * Automatic snapshot from revision 3

 -- Rocks Did <didrocks@ubuntu.com>  Sun, 17 Feb 2013 19:06:09 +0000
"""

BASIC_SYMBOLS = """\
foo.so.9 foo9 #MINVER#
 unity_activation_response_construct@Base 4.0.0
 unity_activation_response_construct_with_preview@Base 5.90.0
 unity_annotated_icon_set_size_hint@Base 0replaceme
 unity_mpris_gateway_ensure_playlist_interface_is_raised@Base 4.0.0
"""

MULTIPLE_SYMBOLS = BASIC_SYMBOLS + """\
 unity_annotated2_icon_set_size_hint@Base 0replaceme
"""

NO_SYMBOLS = MULTIPLE_SYMBOLS.replace('0replaceme', '42.0.0')

XML_TEMPLATE = """\
<testsuite errors="0" failures="{}" name="" tests="1" time="0.1">
  <testcase classname="MarkUnstable" name="Publisher" time="0.0">{}
  </testcase>
</testsuite>
"""

XML_NO_ERROR = XML_TEMPLATE.format(0, '')

XML_1_ERROR = XML_TEMPLATE.format(1, """
    <failure type="exception">one issue</failure>""")

XML_2_ERRORS = XML_TEMPLATE.format(1, """
    <failure type="exception">one issue</failure>
    <failure type="exception">a second issue</failure>""")
