from mock import Mock

from tests.unit import CITrainScriptTestCase
from cupstream2distro.utils import env

# Unused import necessary for code coverage reporting
from citrain import mark_as_builtchecked
mark_as_builtchecked


class MarkAsBuiltCheckedTestCase(CITrainScriptTestCase):
    scriptname = 'mark_as_builtchecked.py'

    def test_main(self):
        env.SILONAME = 'fedora/landing-666'
        stateMock = self.script.SiloState = Mock()
        self.assertEqual(self.script.main(), 0)
        stateMock.assert_called_once_with('fedora/landing-666')
        stateMock().set_built_checked.assert_called_once_with()
        stateMock().set_build_successful.assert_called_once_with()
